Bug 1817082 - gnome-shell: SIGSEGV when locking screen
Summary: gnome-shell: SIGSEGV when locking screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:50927fdebf077aaed9312748e91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 14:38 UTC by Stephen Gallagher
Modified: 2020-05-22 05:30 UTC (History)
12 users (show)

Fixed In Version: gnome-shell-3.36.2-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-22 05:30:46 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.84 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: core_backtrace (100.36 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: cpuinfo (2.47 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: dso_list (27.07 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: environ (909 bytes, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: exploitable (82 bytes, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: maps (182.14 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: mountinfo (2.81 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: open_fds (13.71 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: proc_pid_status (1.38 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details
File: var_log_messages (9.40 KB, text/plain)
2020-03-25 14:38 UTC, Stephen Gallagher
no flags Details

Description Stephen Gallagher 2020-03-25 14:38:06 UTC
Version-Release number of selected component:
gnome-shell-3.36.0-3.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-13041.slice/user@13041.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: __strcmp_avx2
executable:     /usr/bin/gnome-shell
journald_cursor: s=cab94b52b609446c9e930f018e0812ce;i=32d01b;b=c8a8fb8d24c948b39141d14c72bb93b6;m=322145470;t=5a1a0b51c8e90;x=aa6e5c900209e8e4
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            13041

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 __strcmp_avx2 at ../sysdeps/x86_64/multiarch/strcmp-avx2.S:101
 #1 st_theme_node_lookup_shadow at ../src/st/st-theme-node.c:3358
 #2 st_theme_node_get_text_shadow at ../src/st/st-theme-node.c:3524
 #14 st_label_paint at ../src/st/st-label.c:199
 #15 clutter_paint_node_paint at ../clutter/clutter/clutter-paint-node.c:1027
 #16 clutter_actor_paint at ../clutter/clutter/clutter-actor.c:4133
 #17 st_viewport_paint at ../src/st/st-viewport.c:402
 #18 clutter_paint_node_paint at ../clutter/clutter/clutter-paint-node.c:1027
 #20 clutter_actor_paint at ../clutter/clutter/clutter-actor.c:4133
 #21 st_viewport_paint at ../src/st/st-viewport.c:402

Comment 1 Stephen Gallagher 2020-03-25 14:38:12 UTC
Created attachment 1673506 [details]
File: backtrace

Comment 2 Stephen Gallagher 2020-03-25 14:38:14 UTC
Created attachment 1673507 [details]
File: core_backtrace

Comment 3 Stephen Gallagher 2020-03-25 14:38:16 UTC
Created attachment 1673508 [details]
File: cpuinfo

Comment 4 Stephen Gallagher 2020-03-25 14:38:18 UTC
Created attachment 1673509 [details]
File: dso_list

Comment 5 Stephen Gallagher 2020-03-25 14:38:19 UTC
Created attachment 1673510 [details]
File: environ

Comment 6 Stephen Gallagher 2020-03-25 14:38:20 UTC
Created attachment 1673511 [details]
File: exploitable

Comment 7 Stephen Gallagher 2020-03-25 14:38:27 UTC
Created attachment 1673512 [details]
File: limits

Comment 8 Stephen Gallagher 2020-03-25 14:38:29 UTC
Created attachment 1673513 [details]
File: maps

Comment 9 Stephen Gallagher 2020-03-25 14:38:35 UTC
Created attachment 1673514 [details]
File: mountinfo

Comment 10 Stephen Gallagher 2020-03-25 14:38:42 UTC
Created attachment 1673515 [details]
File: open_fds

Comment 11 Stephen Gallagher 2020-03-25 14:38:44 UTC
Created attachment 1673516 [details]
File: proc_pid_status

Comment 12 Stephen Gallagher 2020-03-25 14:38:46 UTC
Created attachment 1673517 [details]
File: var_log_messages

Comment 13 Stephen Gallagher 2020-03-26 19:46:40 UTC
Updating title now that I can reproduce it at will.

Comment 14 Fedora Blocker Bugs Application 2020-03-26 21:18:09 UTC
Proposed as a Blocker for 32-final by Fedora user sgallagh using the blocker tracking app because:

 "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use." -- Final Criteria

I argue that screen-lock is (or at least should be!) typical use.

Comment 15 Stephen Gallagher 2020-03-26 21:21:33 UTC
As an update, it seems this isn't affecting everyone, so I am unsure if it's hardware-specific.

I'm running on a Lenovo P50 with Intel/nVidia in hybrid mode and dual monitors (1920x1080@60 and 3440x1440@50).


00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 07)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Thermal Subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controller #1 (rev 31)
00:16.3 Serial controller: Intel Corporation 100 Series/C230 Series Chipset Family KT Redirection (rev 31)
00:17.0 SATA controller: Intel Corporation Q170/Q150/B150/H170/H110/Z170/CM236 Chipset SATA Controller [AHCI Mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #1 (rev f1)
00:1c.2 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #3 (rev f1)
00:1c.4 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #5 (rev f1)
00:1d.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 (rev f1)
00:1d.4 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #13 (rev f1)
00:1f.0 ISA bridge: Intel Corporation CM236 Chipset LPC/eSPI Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Controller (rev 31)
00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller (rev 31)
00:1f.4 SMBus: Intel Corporation 100 Series/C230 Series Chipset Family SMBus (rev 31)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (2) I219-LM (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation GM107GLM [Quadro M1000M] (rev a2)
01:00.1 Audio device: NVIDIA Corporation Device 0fbc (rev a1)
04:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
3e:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM961/PM961
3f:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader (rev 01)

Comment 16 Kamil Páral 2020-03-27 09:00:41 UTC
The traceback is in avx2 code, so this might be related to the processor used. I don't see any crash during screen lock on Thinkpad T480s with Intel Core i7-8650U and:
gnome-shell-3.36.0-4.fc32.x86_64
kernel-5.6.0-0.rc7.git0.2.fc32.x86_64
glibc-2.31-2.fc32.x86_64

Neither I see it in VMs.

Stephen, please try again with all latest updates (at least your gnome-shell is old now). Also, do you have any shell extensions? If so, please disable all of them, reboot, and retry.

Does it happen both when you click the menu item and if you press Win+L? What exactly happens then?

Comment 17 Lukas Ruzicka 2020-03-27 10:03:27 UTC
I have tested locking the screen on another P50 with Fedora WS Live Beta and for me, everything works fine after having locked and unlocked the screen for at least 20 times in quick sequence. 
Can you tell me, what you do to reproduce it?

Also, I checked my lspci and I realized, my system only uses the Nvidia Card, so that might affect the results. 
I have not done anything to the BIOS, so I might check that, too. 
You can you try to switch off the Intel Card if that is an option and see if it helps.

* PCI devices (lspci):
     00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 07)
     00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 07)
     00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31)
     00:14.2 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Thermal Subsystem (rev 31)
     00:16.0 Communication controller: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controller #1 (rev 31)
     00:17.0 SATA controller: Intel Corporation Q170/Q150/B150/H170/H110/Z170/CM236 Chipset SATA Controller [AHCI Mode] (rev 31)
     00:1c.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #1 (rev f1)
     00:1c.2 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #3 (rev f1)
     00:1c.4 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #5 (rev f1)
     00:1d.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 (rev f1)
     00:1d.4 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #13 (rev f1)
     00:1f.0 ISA bridge: Intel Corporation CM236 Chipset LPC/eSPI Controller (rev 31)
     00:1f.2 Memory controller: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Controller (rev 31)
     00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller (rev 31)
     00:1f.4 SMBus: Intel Corporation 100 Series/C230 Series Chipset Family SMBus (rev 31)
     00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (2) I219-LM (rev 31)
     01:00.0 VGA compatible controller: NVIDIA Corporation GM107GLM [Quadro M1000M] (rev a2)
     01:00.1 Audio device: NVIDIA Corporation Device 0fbc (rev a1)
     04:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
     3e:00.0 Non-Volatile memory controller: Toshiba Corporation NVMe Controller (rev 01)
     3f:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader (rev 01)

Comment 18 Lukas Ruzicka 2020-03-27 10:11:18 UTC
After I switched on the Intel Card, too, I am still unable to reproduce it.

00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 07)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Thermal Subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controller #1 (rev 31)
00:17.0 SATA controller: Intel Corporation Q170/Q150/B150/H170/H110/Z170/CM236 Chipset SATA Controller [AHCI Mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #1 (rev f1)
00:1c.2 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #3 (rev f1)
00:1c.4 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #5 (rev f1)
00:1d.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 (rev f1)
00:1d.4 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #13 (rev f1)
00:1f.0 ISA bridge: Intel Corporation CM236 Chipset LPC/eSPI Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Controller (rev 31)
00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller (rev 31)
00:1f.4 SMBus: Intel Corporation 100 Series/C230 Series Chipset Family SMBus (rev 31)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (2) I219-LM (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation GM107GLM [Quadro M1000M] (rev a2)
01:00.1 Audio device: NVIDIA Corporation Device 0fbc (rev a1)
04:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
3e:00.0 Non-Volatile memory controller: Toshiba Corporation NVMe Controller (rev 01)
3f:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader (rev 01)

Comment 19 Geoffrey Marr 2020-03-30 19:12:39 UTC
Discussed during the 2020-03-30 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker" was made as so far this seems somehow unique to sgallagh, others with same and similar laptops cannot reproduce it and we can find no indication anyone else has hit it in FAF or upstream gitlab.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-30/f32-blocker-review.2020-03-30-16.00.txt

Comment 20 Kamil Páral 2020-03-31 14:28:44 UTC
Stephen, I can reproduce a crash when locking the screen, if I have Volume Mixer extension installed. So please verify you test it without any extensions installed.

Comment 21 Adrian Reber 2020-04-02 14:32:18 UTC
gnome-shell crashes for me also when trying to lock with the following:

Apr 02 16:30:49 dcbz audit[18864]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=18864 comm="gnome-shell" exe="/usr/bin/gnome-shell" sig=11 res=1
Apr 02 16:30:49 dcbz kernel: gnome-shell[18864]: segfault at 230 ip 00007f89086bddac sp 00007fff835f4170 error 4 in libst-1.0.so[7f890869b000+50000]
Apr 02 16:30:49 dcbz kernel: Code: eb 08 48 3b 5c 24 08 0f 84 09 01 00 00 49 8b 86 28 01 00 00 b9 0f 00 00 00 48 8d 3d 6c 1b 03 00 48 8b 14 18 48 8b 02 48 8b 00 <48> 8b 30 f3 a6 0f 97 c0 1c 00 84 c0 75 c6 4c 8b 7a 08 4d 85 ff 75
Apr 02 16:30:49 dcbz polkitd[1053]: Unregistered Authentication Agent for unix-session:3 (system bus name :1.330, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Apr 02 16:30:49 dcbz systemd[1139]: gnome-shell-x11.service: Main process exited, code=dumped, status=11/SEGV
Apr 02 16:30:49 dcbz gsd-media-keys[2257]: Couldn't lock screen: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Remote peer disconnected
Apr 02 16:30:49 dcbz systemd[1139]: dbus-:1.2-org.freedesktop.portal.IBus@7.service: Succeeded.
Apr 02 16:30:49 dcbz systemd[1139]: gnome-shell-x11.service: Failed with result 'core-dump'.
Apr 02 16:30:49 dcbz systemd[1139]: gnome-shell-x11.service: Consumed 25.159s CPU time.
Apr 02 16:30:49 dcbz systemd[1139]: gnome-shell-x11.service: Scheduled restart job, restart counter is at 8.
Apr 02 16:30:49 dcbz systemd[1139]: Stopped target GNOME X11 Session (session: gnome).
Apr 02 16:30:49 dcbz systemd[1139]: Stopping GNOME X11 Session (session: gnome).
Apr 02 16:30:49 dcbz systemd[1139]: Stopped target GNOME X11 Session.
Apr 02 16:30:49 dcbz systemd[1139]: Stopping GNOME X11 Session.
Apr 02 16:30:49 dcbz systemd[1139]: Stopped target GNOME Shell on X11.
Apr 02 16:30:49 dcbz systemd[1139]: Stopping GNOME Shell on X11.
Apr 02 16:30:49 dcbz systemd[1139]: Stopped GNOME Shell on X11.
Apr 02 16:30:49 dcbz systemd[1139]: gnome-shell-x11.service: Consumed 25.159s CPU time.

Comment 22 pip 2020-04-03 17:16:25 UTC
Crash after crash, every time my Dell XPS goes into suspend. Only when I disable the extensions alltogether in Tweaks (titlebar button) this ceases to happen. With the button on, and all the extensions disabled, gnome shell will crash before going into hibernation. Locking alone won't crash it for me.

gnome-shell-3.36.1-2.fc32
kernel 5.6.0-300.fc32.x86_64
Intel Corporation HD Graphics 5500 (rev 09)
This started happening after these updates:

annobin-9.19-1.fc32.x86_64                    Thu 02 Apr 2020 11:15:56 PM EDT
systemd-libs-245.4-1.fc32.i686                Thu 02 Apr 2020 04:09:38 PM EDT
pcre2-10.34-9.fc32.i686                       Thu 02 Apr 2020 04:09:38 PM EDT
mesa-libglapi-20.0.3-1.fc32.i686              Thu 02 Apr 2020 04:09:38 PM EDT
mesa-libGL-20.0.3-1.fc32.i686                 Thu 02 Apr 2020 04:09:38 PM EDT
hwdata-0.334-1.fc32.noarch                    Thu 02 Apr 2020 04:09:38 PM EDT
armadillo-9.860.1-1.fc32.x86_64               Thu 02 Apr 2020 04:09:38 PM EDT
pcre2-devel-10.34-9.fc32.x86_64               Thu 02 Apr 2020 04:09:37 PM EDT
mesa-vulkan-drivers-20.0.3-1.fc32.x86_64      Thu 02 Apr 2020 04:09:37 PM EDT
mesa-libxatracker-20.0.3-1.fc32.x86_64        Thu 02 Apr 2020 04:09:37 PM EDT
mesa-libOSMesa-20.0.3-1.fc32.x86_64           Thu 02 Apr 2020 04:09:37 PM EDT
mesa-libgbm-devel-20.0.3-1.fc32.x86_64        Thu 02 Apr 2020 04:09:37 PM EDT
mesa-libEGL-devel-20.0.3-1.fc32.x86_64        Thu 02 Apr 2020 04:09:37 PM EDT
systemd-devel-245.4-1.fc32.x86_64             Thu 02 Apr 2020 04:09:36 PM EDT
mesa-libGL-devel-20.0.3-1.fc32.x86_64         Thu 02 Apr 2020 04:09:36 PM EDT
systemd-udev-245.4-1.fc32.x86_64              Thu 02 Apr 2020 04:09:35 PM EDT
systemd-container-245.4-1.fc32.x86_64         Thu 02 Apr 2020 04:09:35 PM EDT
mesa-dri-drivers-20.0.3-1.fc32.x86_64         Thu 02 Apr 2020 04:09:34 PM EDT
elfutils-0.179-1.fc32.x86_64                  Thu 02 Apr 2020 04:09:34 PM EDT
elfutils-libs-0.179-1.fc32.x86_64             Thu 02 Apr 2020 04:09:24 PM EDT
elfutils-debuginfod-client-0.179-1.fc32.x86_64 Thu 02 Apr 2020 04:09:24 PM EDT
autocorr-en-6.4.2.2-1.fc32.noarch             Thu 02 Apr 2020 04:09:24 PM EDT
systemd-245.4-1.fc32.x86_64                   Thu 02 Apr 2020 04:09:23 PM EDT
systemd-pam-245.4-1.fc32.x86_64               Thu 02 Apr 2020 04:09:22 PM EDT
elfutils-default-yama-scope-0.179-1.fc32.noarch Thu 02 Apr 2020 04:09:22 PM EDT
systemd-rpm-macros-245.4-1.fc32.noarch        Thu 02 Apr 2020 04:09:21 PM EDT
systemd-libs-245.4-1.fc32.x86_64              Thu 02 Apr 2020 04:09:21 PM EDT
pcre2-utf32-10.34-9.fc32.x86_64               Thu 02 Apr 2020 04:09:21 PM EDT
pcre2-utf16-10.34-9.fc32.x86_64               Thu 02 Apr 2020 04:09:21 PM EDT
pcre2-syntax-10.34-9.fc32.noarch              Thu 02 Apr 2020 04:09:21 PM EDT
pcre2-10.34-9.fc32.x86_64                     Thu 02 Apr 2020 04:09:21 PM EDT
mesa-libglapi-20.0.3-1.fc32.x86_64            Thu 02 Apr 2020 04:09:21 PM EDT
mesa-libGL-20.0.3-1.fc32.x86_64               Thu 02 Apr 2020 04:09:21 PM EDT
mesa-libgbm-20.0.3-1.fc32.x86_64              Thu 02 Apr 2020 04:09:21 PM EDT
mesa-libEGL-20.0.3-1.fc32.x86_64              Thu 02 Apr 2020 04:09:21 PM EDT
libreoffice-data-6.4.2.2-1.fc32.noarch        Thu 02 Apr 2020 04:09:21 PM EDT
elfutils-libelf-0.179-1.fc32.x86_64           Thu 02 Apr 2020 04:09:21 PM EDT
xz-libs-5.2.5-1.fc32.i686                     Wed 01 Apr 2020 03:42:33 PM EDT
gnutls-3.6.13-1.fc32.i686                     Wed 01 Apr 2020 03:42:33 PM EDT
tbb-2020.2-1.fc32.x86_64                      Wed 01 Apr 2020 03:42:32 PM EDT
python-srpm-macros-3-55.fc32.noarch           Wed 01 Apr 2020 03:42:32 PM EDT
perl-IO-Socket-SSL-2.068-1.fc32.noarch        Wed 01 Apr 2020 03:42:32 PM EDT
ibus-typing-booster-2.8.2-1.fc32.noarch       Wed 01 Apr 2020 03:42:32 PM EDT
pulseaudio-module-x11-13.99.1-3.fc32.x86_64   Wed 01 Apr 2020 03:42:31 PM EDT
pulseaudio-module-bluetooth-13.99.1-3.fc32.x86_64 Wed 01 Apr 2020 03:42:31 PM EDT
pangomm-2.42.1-1.fc32.x86_64                  Wed 01 Apr 2020 03:42:31 PM EDT
httpd-2.4.43-1.fc32.x86_64                    Wed 01 Apr 2020 03:42:31 PM EDT
gvfs-fuse-1.44.1-1.fc32.x86_64                Wed 01 Apr 2020 03:42:31 PM EDT
gvfs-archive-1.44.1-1.fc32.x86_64             Wed 01 Apr 2020 03:42:31 PM EDT
gvfs-afp-1.44.1-1.fc32.x86_64                 Wed 01 Apr 2020 03:42:31 PM EDT
gvfs-afc-1.44.1-1.fc32.x86_64                 Wed 01 Apr 2020 03:42:31 PM EDT
glib-networking-2.64.1-1.fc32.x86_64          Wed 01 Apr 2020 03:42:31 PM EDT
gtk3-devel-3.24.16-1.fc32.x86_64              Wed 01 Apr 2020 03:42:29 PM EDT
gnome-disk-utility-3.36.1-1.fc32.x86_64       Wed 01 Apr 2020 03:42:28 PM EDT
gnome-maps-3.36.1-1.fc32.x86_64               Wed 01 Apr 2020 03:42:21 PM EDT
gnome-shell-extension-user-theme-3.36.1-1.fc32.noarch Wed 01 Apr 2020 03:42:20 PM EDT
gnome-extensions-app-3.36.1-1.fc32.x86_64     Wed 01 Apr 2020 03:42:20 PM EDT
gnome-classic-session-3.36.1-1.fc32.noarch    Wed 01 Apr 2020 03:42:20 PM EDT
gnome-boxes-3.36.2-1.fc32.x86_64              Wed 01 Apr 2020 03:42:20 PM EDT
file-roller-nautilus-3.36.1-1.fc32.x86_64     Wed 01 Apr 2020 03:42:20 PM EDT
anaconda-live-32.24.4-1.fc32.x86_64           Wed 01 Apr 2020 03:42:20 PM EDT
gnome-getting-started-docs-3.36.1-1.fc32.noarch Wed 01 Apr 2020 03:42:19 PM EDT
gnome-user-docs-3.36.1-1.fc32.noarch          Wed 01 Apr 2020 03:42:16 PM EDT
anaconda-install-env-deps-32.24.4-1.fc32.x86_64 Wed 01 Apr 2020 03:42:16 PM EDT
anaconda-32.24.4-1.fc32.x86_64                Wed 01 Apr 2020 03:42:16 PM EDT

Comment 23 pip 2020-04-03 17:29:03 UTC
Apologies. Gnome shell does crash when I lock and when the extensions are enabled (titlebar button in Tweaks), but also some extensions need to be enabled - Native Window Placement or Background Logo in my case.

Comment 24 Kamil Páral 2020-04-03 18:35:08 UTC
(Applies to anyone) If you want to figure out which extension causes the problem, do the following:
1. Disable all extensions (in gnome-tweaks, gnome-extensions-app, or the web browser, whatever you use).
2. Reboot (important)
3. Test whether the functionality is working or broken. If broken, you can stop here, it's not due to extensions.
4. Enable a single extension
5. Reboot (important)
6. Test whether the functionality is working or broken
7. Repeat 4-6 until you find a broken extension. Keep it disabled or uninstall it, and continue testing all your other extensions.

Only if the crash happens with no extensions installed AND after a clean boot (extremely important!), please report it here in the RH Bugzilla or GNOME Gitlab (preferred). If the crash occurs due to some particular extension, please report it to the extension author. (The only exception are default pre-installed extensions, which is Background Logo in default GNOME, or a few extra ones in GNOME Classic Mode. Those also should be reported here or in GNOME Gitlab). Thanks.

Comment 25 Jonas Ådahl 2020-04-03 21:26:54 UTC
Some issues (e.g. crash related triggered by the native window placement extension) will be mitigated with https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/1172 and fixed with https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/1173.

Comment 26 Lukas Ruzicka 2020-04-20 09:38:22 UTC
I stumbled upon a newly proposed blocker #1825046. Could this be related?

Comment 27 Kamil Páral 2020-04-20 10:27:49 UTC
Lukas, how is bug 1825046 about nouveau driver supposed to be related to extensions crashing gnome-shell? And why do you think Stephen knows? Perhaps you provided a wrong bug number? Note that this bug really seems to be linked just with third-party extensions, not a bug in gnome-shell itself.

Comment 28 Stephen Gallagher 2020-04-20 13:29:05 UTC
I haven't experienced this bug for a while now, so I assume it got fixed in an update either of gnome-shell or whichever extension was broken.

Closing it.

Comment 29 Stephen Gallagher 2020-05-20 12:02:35 UTC
Reopening this; it has in fact been happening again. Fortunately, a patch exists upstream to fix this now:

https://gitlab.gnome.org/GNOME/gnome-shell/-/commit/6d5e93b00b5b4ce5315276e071a98c8db5ff6463

Comment 31 Fedora Update System 2020-05-20 14:38:03 UTC
FEDORA-2020-223f3b531f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-223f3b531f

Comment 32 Fedora Update System 2020-05-21 05:23:33 UTC
FEDORA-2020-223f3b531f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-223f3b531f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-223f3b531f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 33 Fedora Update System 2020-05-22 05:30:46 UTC
FEDORA-2020-223f3b531f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.